Subject: Re: bug#9795: Disabling fortran (what's it for?)

From: Peter O'Gorman <[email-masked]>
Date: Thu, 20 Oct 2011 19:47:08 -0500

On 10/19/2011 05:21 PM, Ryan Schmidt wrote:
>
> On Oct 19, 2011, at 14:17, Ralf Wildenhues wrote:
>
>> This is libtool<  2.0, right?
>>
>> Please update.  We've fixed this years ago.
>
>
> Oh no, this is with current versions. The ticket URLs I provided show the problem with libtool 2.2.6b:
>
> https://trac.macports.org/ticket/23684
>
> And 2.4:
>
> https://trac.macports.org/ticket/30105

I think that because the installed fortran compiler is somehow broken 
libtool detects that the compiler can not create shared libraries. 
Fortran being tested last must overwrite the varaibles that were set for 
the C and C++ compiler - so libtool does not create any shared libraries 
at all. I'll look into it.

Thanks,
Peter